import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';
//列表显示
export const columns: BasicColumn[] = [
  {
    title: '工厂编码',
    dataIndex: 'FACTORY_CODE',
    width: 180,
  },
  {
    title: '产线代码',
    dataIndex: 'LINE_CODE',
  },
  {
    title: '产线名称',
    dataIndex: 'LINE_NAME',
  },
  {
    title: '车间',
    dataIndex: 'WORKSHOP_CODE',
  },
  {
    title: '组织ID',
    dataIndex: 'ORG_ID',
  },
  {
    title: '班制代码',
    dataIndex: 'SHIFTTYPE_CODE',
  },
  {
    title: '是否启用',
    dataIndex: 'IS_ACTIVE',
    customRender: ({ record }) => {
      const status = record.IS_ACTIVE;
      const enable = status === 'Y';
      const color = enable ? 'green' : 'red';
      const text = enable ? '启用' : '禁用';
      return h(Tag, { color: color }, () => text);
    },
  },
  {
    title: '备注',
    dataIndex: 'REMARK',
  },
  {
    title: '更新时间',
    dataIndex: 'UPDATE_TIME',
  },
  {
    title: '更新人',
    dataIndex: 'UPDATE_USER',
  },
];
//模糊查询
export const searchFormSchema: FormSchema[] = [
  {
    field: 'LINE_CODE',
    label: '产线编码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'LINE_NAME',
    label: '产线名称',
    component: 'Input',
    colProps: { span: 8 },
  },
];
//新增组件
export const formSchema: FormSchema[] = [
  {
    field: 'LINE_CODE',
    label: '产线代码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    field: 'LINE_NAME',
    label: '产线名称',
    component: 'Input',
    show: false,
    colProps: { span: 8 },
  },
  {
    field: 'FACTORY_CODE',
    label: '工厂编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'WORKSHOP_CODE',
    label: '车间',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ORG_ID',
    label: '组织ID',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'SHIFTTYPE_CODE',
    label: '班制代码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'IS_ACTIVE',
    label: '是否启用',
    required: true,
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        {
          label: '是',
          value: 'Y',
          key: 'Y',
        },
        {
          label: '否',
          value: 'N',
          key: 'N',
        },
      ],
    },
  },
  {
    field: 'REMARK',
    label: '备注',
    // required: true,
    component: 'Input',
    colProps: { span: 24 },
  },
];
